# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`vnc`](#vnc): This does nothing!
* [`vnc::client`](#vnc--client): Makes sure the latests vnc package is installed.
* [`vnc::server`](#vnc--server): Installs vnc-server, includes GDM for configuration, and sets up some default vnc sessions.  NOTE: You *MUST* set the following in Hiera to e

### Defined types

* [`vnc::server::create`](#vnc--server--create): Create a new VNC Server Session  Desktop gets set to 'name'.

### Data types

* [`Vnc::Geometry`](#Vnc--Geometry)

## Classes

### <a name="vnc"></a>`vnc`

This does nothing!

### <a name="vnc--client"></a>`vnc::client`

Makes sure the latests vnc package is installed.

#### Parameters

The following parameters are available in the `vnc::client` class:

* [`package_ensure`](#-vnc--client--package_ensure)

##### <a name="-vnc--client--package_ensure"></a>`package_ensure`

Data type: `String`

The ensure status of tigervnc client package

Default value: `simplib::lookup('simp_options::package_ensure', { 'default_value' => 'installed' })`

### <a name="vnc--server"></a>`vnc::server`

Installs vnc-server, includes GDM for configuration, and sets up some default
vnc sessions.

NOTE: You *MUST* set the following in Hiera to enable XDMCP. VNC will not
work without it.

#### Examples

##### 

```puppet
---
gdm::settings:
  xdmcp:
    Enable: true
```

#### Parameters

The following parameters are available in the `vnc::server` class:

* [`package_ensure`](#-vnc--server--package_ensure)

##### <a name="-vnc--server--package_ensure"></a>`package_ensure`

Data type: `String`

The ensure status of the tigervnc-server package

Default value: `simplib::lookup('simp_options::package_ensure', { 'default_value' => 'installed' })`

## Defined types

### <a name="vnc--server--create"></a>`vnc::server::create`

Create a new VNC Server Session

Desktop gets set to 'name'.

#### Examples

##### 

```puppet
vnc::server::create { 'vnc_default':
  port => '5900'
}
```

#### Parameters

The following parameters are available in the `vnc::server::create` defined type:

* [`port`](#-vnc--server--create--port)
* [`geometry`](#-vnc--server--create--geometry)
* [`depth`](#-vnc--server--create--depth)
* [`screensaver_timeout`](#-vnc--server--create--screensaver_timeout)

##### <a name="-vnc--server--create--port"></a>`port`

Data type: `Simplib::Port`

Port on which you wish to enable the VNC session

##### <a name="-vnc--server--create--geometry"></a>`geometry`

Data type: `Vnc::Geometry`

Resolution of your VNC session

Default value: `'800x600'`

##### <a name="-vnc--server--create--depth"></a>`depth`

Data type: `Integer`

Specifies the pixel depth, in bits, of the desktop

Default value: `16`

##### <a name="-vnc--server--create--screensaver_timeout"></a>`screensaver_timeout`

Data type: `Integer`

Time after which to disable the screensaver, in minutes.

Default value: `15`

## Data types

### <a name="Vnc--Geometry"></a>`Vnc::Geometry`

The Vnc::Geometry data type.

Alias of `Pattern['^\d+x\d+$']`

